Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.jdbc.pool
Class Driver

    java.lang.Object
      |
      +--weblogic.jdbcbase.pool.Driver
            |
            +--weblogic.jdbc.pool.Driver

public class Driver
extends weblogic.jdbcbase.pool.Driver
implements java.sql.Driver

Provides serverside access to connection pools. It is also possible to specify a pool driver in a T3 connection as an alternative to specifying a connectionPoolID.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All rights reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Driver()`

Method Summary
`boolean` | `acceptsURL(java.lang.String url)` Determines whether the URL is acceptable for use with a Driver.
`protected java.sql.Connection` | `allocateConnection(weblogic.jdbc.common.internal.ConnectionEnv cc)`

Methods inherited from class weblogic.jdbcbase.pool.Driver
`connect, getMajorVersion, getMinorVersion, getPropertyInfo, jdbcCompliant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Driver

    public Driver()

Method Detail

### allocateConnection

    protected java.sql.Connection allocateConnection(weblogic.jdbc.common.internal.ConnectionEnv cc)
                                              throws java.sql.SQLException

  Overrides:
    allocateConnection in class weblogic.jdbcbase.pool.Driver

### acceptsURL

    public boolean acceptsURL(java.lang.String url)

  Determines whether the URL is acceptable for use with a Driver. The format for the URL of this Driver is `jdbc:weblogic:pool[:connectionPoolID]`
  Specified by:
    acceptsURL in interface java.sql.Driver

  Parameters:
    `url` - URL of the Driver
  Returns:
    true if acceptable
  Overrides:
    acceptsURL in class weblogic.jdbcbase.pool.Driver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD